org.apache.http.util

## Class ExceptionUtils

- java.lang.Object
- - org.apache.http.util.ExceptionUtils

- Deprecated.
  (4.2) no longer used

      @Deprecated
      public final class ExceptionUtils
      extends Object

  The home for utility methods that handle various exception-related tasks.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `initCause(Throwable throwable, Throwable cause)` Deprecated. If we're running on JDK 1.4 or later, initialize the cause for the given throwable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### initCause

          public static void initCause(Throwable throwable,
                       Throwable cause)

      Deprecated.
      If we're running on JDK 1.4 or later, initialize the cause for the given throwable.
      Parameters:
        `throwable` - The throwable.
        `cause` - The cause of the throwable.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.